see if it's worthwhile to upgrade hsql from 1.8
Description

Currently hsql is at v2.2, but we're still using 1.8. There are a number of benefits to upgrading to 2.2. Dan and | discussed it and it
seems worthwhile to test, esp to see if performance improves -- we have some really poor performance in some areas. E.g. the
growingDegreeDays workflow with days set to 300 can take up to 13m to run with provenance turned on, but <10s with provenance
turned off. And bug#5413 discusses how large run deletion from WRM can take way too long.

| tried to upgrade my 1.8 provenance data to 2.2 today, but wasn't able to. | couldn't get a connection made to the db from 2.2. There
are errors about the first ALTER line in the provenanceDB.script file:

org.hsqldb.HsqlException: error in script file line: 49 invalid expression in CHECK or GENERATED clause in statement [ALTER
TABLE WORKFLOW_EXEC ADD CONSTRAINT WORKFLOW_EXEC_WF_ID_FK FOREIGN KEY REFERENCES WORKFLOW
ON DELETE CASCADE]

| spent some time manually hacking the script file, but wasn't able to figure out what's wrong here...

History

#1 - 07/08/2011 05:59 PM - Derik Barseghian

see bug#5429 for more discussion

#2 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5424

#3 - 02/05/2015 10:16 AM - Daniel Crawl
- Status changed from New to Resolved

- Target version changed from Unspecified to 2.5.0

HSQL updated to v2.
